grst_http.c File Reference

## Functions

void | GRSThttpBodyInit (GRSThttpBody *thisbody)
void | GRSThttpPrintf (GRSThttpBody *thisbody, char *fmt,...)
int | GRSThttpCopy (GRSThttpBody *thisbody, char *file)
void | GRSThttpWriteOut (GRSThttpBody *thisbody)
int | GRSThttpPrintHeaderFooter (GRSThttpBody *bp, char *file, char *headfootname)
int | GRSThttpPrintHeader (GRSThttpBody *bp, char *file)
int | GRSThttpPrintFooter (GRSThttpBody *bp, char *file)
char * | GRSThttpGetCGI (char *name)
char * | GRSThttpUrlDecode (char *in)
char * | GRSThttpUrlEncode (char *in)
char * | GRSThttpUrlMildencode (char *in)

## Function Documentation

## GRSThttpBodyInit()

void GRSThttpBodyInit | ( | GRSThttpBody * | thisbody | ) |

## GRSThttpCopy()

int GRSThttpCopy | ( | GRSThttpBody * | thisbody,
|  | char * | file )

## GRSThttpGetCGI()

char * GRSThttpGetCGI | ( | char * | name | ) |

## GRSThttpPrintf()

void GRSThttpPrintf | ( | GRSThttpBody * | thisbody,
|  | char * | fmt,
|  |  | ... )

## GRSThttpPrintFooter()

int GRSThttpPrintFooter | ( | GRSThttpBody * | bp,
|  | char * | file )

## GRSThttpPrintHeader()

int GRSThttpPrintHeader | ( | GRSThttpBody * | bp,
|  | char * | file )

## GRSThttpPrintHeaderFooter()

int GRSThttpPrintHeaderFooter | ( | GRSThttpBody * | bp,
|  | char * | file,
|  | char * | headfootname )

## GRSThttpUrlDecode()

char * GRSThttpUrlDecode | ( | char * | in | ) |

## GRSThttpUrlEncode()

char * GRSThttpUrlEncode | ( | char * | in | ) |

## GRSThttpUrlMildencode()

char * GRSThttpUrlMildencode | ( | char * | in | ) |

## GRSThttpWriteOut()

void GRSThttpWriteOut | ( | GRSThttpBody * | thisbody | ) |